<html>
<head>
<title>grid.py</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
.s0 { color: #cc7832;}
.s1 { color: #a9b7c6;}
.s2 { color: #6897bb;}
.s3 { color: #6a8759;}
</style>
</head>
<body bgcolor="#2b2b2b">
<table CELLSPACING=0 CELLPADDING=5 COLS=1 WIDTH="100%" BGCOLOR="#606060" >
<tr><td><center>
<font face="Arial, Helvetica" color="#000000">
grid.py</font>
</center></td></tr></table>
<pre><span class="s0">from </span><span class="s1">tkinter </span><span class="s0">import </span><span class="s1">*</span>

<span class="s1">root = Tk()</span>




<span class="s1">root.columnconfigure(</span><span class="s2">0</span><span class="s0">,</span><span class="s1">weight=</span><span class="s2">1</span><span class="s1">)</span>
<span class="s1">root.columnconfigure(</span><span class="s2">1</span><span class="s0">,</span><span class="s1">weight=</span><span class="s2">3</span><span class="s1">)</span>

<span class="s1">username= StringVar()</span>
<span class="s1">password= StringVar()</span>

<span class="s1">lb_username = Label(root</span><span class="s0">, </span><span class="s1">text=</span><span class="s3">'Username'</span><span class="s1">)</span>
<span class="s1">entry_username= Entry(root</span><span class="s0">, </span><span class="s1">textvariable=username)</span>

<span class="s1">lb_password = Label(root</span><span class="s0">, </span><span class="s1">text=</span><span class="s3">'Password'</span><span class="s1">)</span>
<span class="s1">entry_password= Entry(root</span><span class="s0">, </span><span class="s1">textvariable=password)</span>

<span class="s1">btn_login= Button(root</span><span class="s0">, </span><span class="s1">text=</span><span class="s3">'log in'</span><span class="s1">)</span>

<span class="s1">lb_username.grid(column=</span><span class="s2">0</span><span class="s0">,</span><span class="s1">row=</span><span class="s2">0</span><span class="s0">, </span><span class="s1">sticky=W</span><span class="s0">, </span><span class="s1">padx=</span><span class="s2">5</span><span class="s0">, </span><span class="s1">pady=</span><span class="s2">5</span><span class="s1">)</span>
<span class="s1">entry_username.grid(column=</span><span class="s2">1</span><span class="s0">,</span><span class="s1">row=</span><span class="s2">0</span><span class="s0">, </span><span class="s1">sticky=E</span><span class="s0">, </span><span class="s1">padx=</span><span class="s2">5</span><span class="s0">, </span><span class="s1">pady=</span><span class="s2">5</span><span class="s1">)</span>
<span class="s1">lb_password.grid(column=</span><span class="s2">0</span><span class="s0">,</span><span class="s1">row=</span><span class="s2">1</span><span class="s0">, </span><span class="s1">sticky=W</span><span class="s0">, </span><span class="s1">padx=</span><span class="s2">5</span><span class="s0">, </span><span class="s1">pady=</span><span class="s2">5</span><span class="s1">)</span>
<span class="s1">entry_password.grid(column=</span><span class="s2">1</span><span class="s0">,</span><span class="s1">row=</span><span class="s2">1</span><span class="s0">, </span><span class="s1">sticky=E</span><span class="s0">, </span><span class="s1">padx=</span><span class="s2">5</span><span class="s0">, </span><span class="s1">pady=</span><span class="s2">5</span><span class="s1">)</span>
<span class="s1">btn_login.grid(column=</span><span class="s2">1</span><span class="s0">,</span><span class="s1">row=</span><span class="s2">3</span><span class="s0">, </span><span class="s1">sticky=E</span><span class="s0">, </span><span class="s1">padx=</span><span class="s2">5</span><span class="s0">, </span><span class="s1">pady=</span><span class="s2">5</span><span class="s1">)</span>

<span class="s1">root.geometry(</span><span class="s3">'300x300'</span><span class="s1">)</span>
<span class="s1">root.mainloop()</span></pre>
</body>
</html>